| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Protected Member Functions | List of all members
IG.Lib.LoadableScriptShellBase.StoredScriptSettings Class Reference

In methods of this class you will find all the settings that apply to this script. More...

Inheritance diagram for IG.Lib.LoadableScriptShellBase.StoredScriptSettings:
[legend]
Collaboration diagram for IG.Lib.LoadableScriptShellBase.StoredScriptSettings:
[legend]

## Public Member Functions
override void | TestMain (string[] args)
| Runs tests from scripts according to hard-coded settings. More...
void | TestMain_Basic (string[] args)
Public Member Functions inherited from IG.Lib.ApplicationCommandlineBase
| ApplicationCommandlineBase ()
| Constructor. More...
virtual void | AddDefaultAssemblies ()
| Adds assemblies to be automatically referenced by loaded scripts. More...
virtual void | AplicationMain (string[] args)
| Default main method for the current application. More...

## Protected Member Functions
override CommandLineApplicationInterpreter | CreateInterpreter ()
| Creates and returns application's command-line interpreter. More...
Protected Member Functions inherited from IG.Lib.ApplicationCommandlineBase
virtual void | SetUserName (string userName)
| Sets name of the current user. This method is provided to enable testing code under another user name. Setting to null anihilates effect of previous calls. More...
int | GetScriptNumArguments ()
| Returns the number of script run method's arguments (i.e. arguments that are stored in DirectArguments and InterpreterArguments). If there are different numbers of More...
virtual void | SetScriptNumArguments (int numArguments)
| Sets the number of script run method's arguments to the specified number. Reallocates argument arrays if necessary. More...
virtual void | SetScriptArgument (int whichArgument, string argumentValue)
| Sets the specified script argument; updates array of arguments for running script directly as well as arguments for running script through interpreter. More...
virtual string | GetScriptArgument (int whichArgument)
| Gets the specified string arguments, as it is currently set. More...

## Additional Inherited Members
Public Attributes inherited from IG.Lib.ApplicationCommandlineBase
string | OptDir
| Optimization directory that contains data and message files of optimization server. More...
Protected Attributes inherited from IG.Lib.ApplicationCommandlineBase
const string | ConstScriptTests = "ScriptTests"
| Selecting constant fot TEST script. More...
const string | ConstScriptCustomApp = "ScriptCustomApp"
| Selecting constant fot CUSTOM script. More...
const string | ConstInteractive = "Interactive"
| Selecting constant for interactive run. More...
string | ConstRunInteractive = "Interactive"
| Interpreter command for running in interactive mode. More...
string | ConstRunScript = "RunScript"
| Interpreter command for running dynamic scripts. More...
string | ScriptLocation = null
| Location of the script to be loaded. More...
string | ScriptGroupChoice
| Main selector for script that is run. More...
string | _scriptChoice
Type | _scriptType
string | ScriptAction
| Selector for script action. More...
string[] | DirectArguments = null
| Script arguments used when script is run directly by creating a script object. More...
string[] | InterpreterArguments = null
| Interpreter arguments used when script is run through interpreter. More...
string | DefaultActiveDir
| Default active directory. The current directory will be set to this directory. More...
ILoadableScript | _scriptToRun
bool | RunThroughInterpreter = false
| Whether script is loaded and run through interpreter (alternative is direct construction of script class). More...
string | _userNameLowerCase = null
CommandLineApplicationInterpreter | TestInterpreter
| Application interpreter for running test scripts. More...
Properties inherited from IG.Lib.ApplicationCommandlineBase
string | ScriptChoice`[get, set]`
| Name of the selected script type that is run. More...
Type | ScriptType`[get, set]`
| Selected type of the script to be run. More...
ILoadableScript | ScriptToRun`[get, set]`
| Script to be run. More...
virtual string | UserNameLowerCase`[get]`
| Gets name of the current user with all letters converted to lower case (in order to avoid ambiguities). More...
virtual bool | IsUserIgor`[get]`
| Returns true if the current user logged on the computer is Igor, or false otherwise. More...
virtual bool | IsUserTadej`[get]`
| Returns true if the current user logged on the computer is Tadej, or false otherwise. More...

## Detailed Description

In methods of this class you will find all the settings that apply to this script.

Before custom application script is archived, settings should be moved

$A Igor Feb12;

## Member Function Documentation

override CommandLineApplicationInterpreter IG.Lib.LoadableScriptShellBase.StoredScriptSettings.CreateInterpreter | ( |  | ) |
| inline protected virtual

Creates and returns application's command-line interpreter.

Implements IG.Lib.ApplicationCommandlineBase.

override void IG.Lib.LoadableScriptShellBase.StoredScriptSettings.TestMain | ( | string[] | args | ) |
| inline virtual

Runs tests from scripts according to hard-coded settings.

Standard form of test applications for functionality based on IGLib.

Parameters

  args | Command-line argumets passed when the application is run.

Standard scheme for IGLib-based test applications has been adopted in December 2011.

$A Igor xx Nov09 Dec11;

Implements IG.Lib.ApplicationCommandlineBase.

void IG.Lib.LoadableScriptShellBase.StoredScriptSettings.TestMain_Basic | ( | string[] | args | ) |
| inline

The documentation for this class was generated from the following file:

- extensions/iglibneural/neural/scripts_base/ScriptShellBase.cs